Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - oh-my-zsh-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: oh-my-zsh-git r3993.7fabc8b-1

Git Clone URL: https://aur-dev.archlinux.org/oh-my-zsh-git.git (read-only)
Package Base: oh-my-zsh-git
Description: A community-driven framework for managing your zsh configuration. Includes 180+ optional plugins and over 120 themes to spice up your morning, and an auto-update tool so that makes it easy to keep up with the latest updates from the community
Upstream URL: https://github.com/robbyrussell/oh-my-zsh
Licenses: MIT
Submitter: phoenixlzx
Maintainer: MarcinWieczorek
Last Packager: MarcinWieczorek
Votes: 256
Popularity: 7.494456
First Submitted: 2012-10-24 12:04
Last Updated: 2016-06-26 12:03

Dependencies (7)

Sources (2)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

Anonymous comment on 2013-11-01 10:16

Hello @centos,

Sorry for the slow reply, I've been away for a few days. I'm going to modify the pkgver to the current version and then upload that pkgbuild. Hopefully that should solve the problem for now.

Thanks,
Jamie

centos commented on 2013-10-27 14:48

Hi,

I tried to change pkgver to 1982.something and ended up with 1975.90c28b7-1 after install, so changing pkgver basically does nothing (looks like you are in this pkbuild trying to do the same thing -- change pkgver to 1949.61e3951-1). Last changes to this git were made two days ago, so maybe this pkbuild is outdated..? Just an assumption, I'm not really familiar with git stuff.

I also tried pacaur which installed same version as yaourt. And according to this post https://bbs.archlinux.org/viewtopic.php?pid=1090762#p1090762 yaourt checks pkgver in installed package at every update and compares it with pkgver in pkbuild from AUR. So if the version installed from git (1975.90c28b7-1) differs from the one in pkbuild (currently 1949.61e3951-1), yaourt will try to update that package every time, regardless that installed version is actually more recent. This could be it, don't you think?

Thanks,
Jan

Anonymous comment on 2013-10-27 09:53

Hello @centos,

I have done the same and now my version is the same as yours. What does modifying the pkgbuild pkgver during installation do? Does using a different AUR helper (i.e. pacaur like elpasi) solve the problem (I'm not suggesting you do that permanently, just to help us diagnose.)?

Thanks,
Jamie

centos commented on 2013-10-27 09:14

Hello jcsiv,

that's weird. I removed oh-my-zsh-git (pacman -R) and installed it again. The problem persists and version installed changed:

aur/oh-my-zsh-git 1949.61e3951-1 [installed: 1975.90c28b7-1] (72)

When I try to install it once again with yaourt, in pkbuild I see
pkgname=oh-my-zsh-git
pkgver=1949.61e3951
which is the version that yaourt keeps suggesting me and version that is in the package name and also version that differs from version you have installed.
What do you see when "yaourt oh-my"?
Thanks.

Anonymous comment on 2013-10-21 16:41

Hello @centos,
I use yaourt myself, but I don't have the same issue. I think we have the same version of the package installed:
$ yaourt -Qi oh-my-zsh-git
Name : oh-my-zsh-git
Version : 1957.c79e5a9-1
Description : A community-driven framework for managing your zsh configuration.
Architecture : any
URL : https://github.com/robbyrussell/oh-my-zsh
Licences : MIT
Groups : None
Provides : None
Depends On : zsh
Optional Deps : ruby: for some plugin functionality
Required By : None
Optional For : None
Conflicts With : None
Replaces : None
Installed Size : 594.00 KiB
Packager : Unknown Packager
Build Date : Mon 21 Oct 2013 17:19:55 BST
Install Date : Mon 21 Oct 2013 17:20:07 BST
Install Reason : Explicitly installed
Install Script : Yes
Validated By : None

I have reinstalled the package using the latest PKGBUILD from the AUR but I still cannot replicate your problem. If there are any more developments, please contact me.

Thanks,
Jamie

centos commented on 2013-10-20 19:48

Hi, I seem to have pkgver problem with yaourt. It keeps telling me in every update that there is new version, but nothing happens after actual update. Even if I try to install it manually I end up with the same version I already had.
It looks like yaourt thinks my installed version is newer than the git one and therefore it maybe doesn't make any changes.
Can someone explain this to me?

% i oh-my
1 aur/oh-my-zsh-git 1949.61e3951-1 [installed: 1957.c79e5a9-1] (71)

Anonymous comment on 2013-09-27 18:15

Hello @scarpino,
I've updated the PKGBUILD now to include your suggested changes. It seems to be working. If there's any issues, tell me and I'll fix them.

Thanks,
Jamie

ilpianista commented on 2013-09-24 07:50

Could you put $pkgdir between double apixes?

elpasi commented on 2013-09-21 08:35

I can confirm the issue's gone when using pacaur, too. Thanks a lot!

Anonymous comment on 2013-09-20 20:57

Hello,
I've updated the PKGBUILD now to include the changes suggested by @elpasi regarding the pkgver() function. Having installed this myself, it seems to be working. Feedback appreciated, any problems and I'll amend as required.

Thanks,
Jamie